Subject: Re: [bug#38546] [PATCH v5] Julia: Update to 1.3.1

From: Marius Bakke <[email-masked]>
Date: Thu, 19 Mar 2020 13:28:09 +0100

Nicolò Balzarotti <[email-masked]> writes:

> Hi,
>
> I looked at it.  THe patch is literally a one-line change[1] they make
> to support RFC 3986.  According to [2], the patch has been ported to
> fedora http-parser.  Our version is different form the one bundled in
> libgit2, but deleting the corresponding line (see snippet) libgit2 tests
> are now passing.  However, this http-parser test is failing:
>
> *** http_parser_parse_url("http://hostname:/") "proxy empty port" test failed, unexpected rv 0 ***
>
> I opened an issue upstream here [3] so that if they fix it we can
> continue unbundling it without having to patch it ourselves.
>
> Hope they decide to upstream it
>
> I'll send updates if there are news on the issue,

Awesome, thank you very much for looking into it.  I have no objections
to taking the patches from the upstream PR [0] if that helps updating
Julia.  :-)

0: https://github.com/nodejs/http-parser/pull/483